― MozillaZine.jp フォーラムは Mozilla 製品に関する情報交換の場です ―



All times are UTC + 9 hours

新しいトピックを投稿する トピックへ返信する  [ 1 件の記事 ] 
作成者 メッセージ
投稿記事Posted: 2017年1月30日(月) 08:16 
Thunderbird 52.0 / Firefox 52.0 / SeaMonkey 2.49 (Tb/Fx 52.0 相当) が、Windows XP / Vista で使える最後のバージョンになります。
次のバージョン (Tb/Fx 53.0) からは Windows XP / Vista で動作しなくなります。

アナウンスされているように自明のことではありますが、Thunderbird をはじめ、Firefox 、SeaMonkey の3種類を実際にテストした結果をレポートします。
※ Firefox には情報も多いですが、Thunderbird の情報は少ないので、注意喚起の意味合いから Thunderbird のカテゴリに投稿させていただきました。

【経過】
Firefox に関しては、Windows XP / Vista のサポート終了の情報は昨年から(主に英語で)出ていましたし、次の Mozilla Japan ブログ に要点がまとめられ、日本語で読めます。
・Firefox の各機能サポート終了予定(2017年)について | Mozilla Japan ブログ
https://www.mozilla.jp/blog/entry/10571/

しかし Thunderbird に関しては、Windows XP / Vista のサポート終了のまとまった情報は見かけません(ぼくが知らないだけかもしれませんが...)。
現状で、Windows XP / Vista を現役で使っていて、ストレートに影響を受けるユーザーはそう多くないかもしれませんが、このフォーラムにもたまに XP ユーザーからの投稿がありますので、そのあたりの事情を考慮しました。

【インストールの実地テスト】
特定のアプリケーションのために取り置いてある Windows XP 機を引っ張り出してきて、下記のような操作を実行しました。
各インストーラーは別の Windows 7 機でダウンロードし、USB メモリ経由で Windows XP に持ち込みました。
(使用機のスペック)
 OS: Windows XP SP3 Professional (32bit)
 CPU: Intel Core 2 Duo T7500 (2.20GHz)
 Memory: 2.0 GB (DDR2 SDRAM / 332 MHz)
(対象)
 XP / Vista のサポート打ち切り対象となっているバージョンの各製品

(1)Thunderbird 53.0(現在 Earlybird)のインストールと起動
thunderbird-53.0a2.ja.win32.installer.exe を実行すると、
thunderbird-53.0a2.ja.win32.installer.exe さんが書きました:
申し訳ありませんが、Earlybird をインストールできませんでした。このバージョンの Earlybird を使用するには Microsoft Windows 7 またはそれ以降のバージョンが必要です。OK ボタンを押して追加情報をご確認ください。

というエラーメッセージが表示され、インストールできませんでした。

インストーラーを強制的に展開し、Thunderbird 53.0 を手動で XP に導入して thunderbird.exe を実行すると、
thunderbird.exe さんが書きました:
~ thunderbird.exe は有効な Win32 アプリケーションではありません。

というエラーメッセージが表示され、起動できませんでした。

(比較)Thunderbird 52.0b1 はインストールでき、起動も正常におこなえました。

(2)Firefox 53.0(現在 Aurora / Developer Edition)のインストールと起動
firefox-53.0a2.ja.win32.installer.exe を実行すると、
firefox-53.0a2.ja.win32.installer.exe さんが書きました:
申し訳ありませんが、Firefox Developer Edition をインストールできませんでした。このバージョンの Firefox Developer Edition を使用するには Microsoft Windows 7 またはそれ以降のバージョンが必要です。OK ボタンを押して追加情報をご確認ください。

というエラーメッセージが表示され、インストールできませんでした。

インストーラーを強制的に展開し、Firefox 53.0 を手動で XP に導入して firefox.exe を実行すると、
firefox.exe さんが書きました:
~ firefox.exe は有効な Win32 アプリケーションではありません。

というエラーメッセージが表示され、起動できませんでした。

(比較)Firefox 52.0b1 はインストールでき、起動も正常におこなえました。

(3)SeaMonkey 50.0(現在 Aurora)のインストールと起動
Firefox 53.0 / Thunderbird 53.0 に相当する SeaMonkey 50.0 では、seamonkey-2.50a2.en-US.win32.installer.exe を実行しても上記の Firefox と同等のエラーメッセージ(英語)が出て、インストールできませんでした。
手動で展開して SeaMonkey 50.0 を実行しようとしても、Firefox / Thunderbird と同様に起動できませんでした。

(比較)Firefox 52.0 / Thunderbird 52.0 に相当する SeaMonkey 49.0 (seamonkey-2.49a2.en-US.win32.installer.exe) はインストールでき、問題なく起動できました。

開発サイドでも十分なテストがおこなわれていると思いますが、以上は一般のエンドユーザーの環境で実際にやってみた結果です。
Windows XP ではすべての製品で、当該バージョンでのインストールはもちろん、実行ファイルも起動できなくなっています。おそらく Vista 環境でも同様でしょう。この点をふまえ、上記の製品を使っている Windows XP /Vista ユーザーは早めに対応策を考えるよう、お勧めしておきます。

(補足)
Thunderbird の開発版を使ってるユーザーは非常に少ないと思いますが、次のようなバグ報告もありますので、開発版ユーザーは念のためにご注意ください。
Bug 1334169 - Block Earlybird 53.0a2 update for Windows XP and vista user
https://bugzilla.mozilla.org/show_bug.cgi?id=1334169

以上です。事前情報として参考になれば幸いです。


//【お知らせ】2017 年、Firefox の大きな変化にご注意 ////////////////////////////
・Firefox の各機能サポート終了予定(2017年)について | Mozilla Japan ブログ
https://www.mozilla.jp/blog/entry/10571/
//////////////////////////////////////////////////////////////////////////////////
*ブログ記事は Firefox のものですが、ほとんどが Thunderbird にも当てはまります。

_________________
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0


通報する
ページトップ
  
引用付きで返信する  
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 1 件の記事 ] 

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[4人]


トピック投稿:  可
返信投稿:  可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
Powered by MozillaZine.jp® Forum Software © phpBB Group , Almsamim WYSIWYG
Japanese translation principally by ocean